#ifndef CLOANDATASET_H_HEADER_INCLUDED_BE8758C3
#define CLOANDATASET_H_HEADER_INCLUDED_BE8758C3

#include "CCustomerDA.h"
#include "CLoanDA.h"

// Standard data access to related tables
//##ModelId=4178A9D0005C
class CLoanDataSet
{
  public:
    //##ModelId=4178C3F40097
    CLoanDataSet();

    //##ModelId=4178C3F40098
    CLoanDataSet(const CLoanDataSet& right);

    //##ModelId=4178C3F400A1
    virtual ~CLoanDataSet();
    // fetch table rows for the given loan ID
    //##ModelId=4178D3530095
    bool getRow(LONG loanID);


    // get the next table rows based on the cursor
    //##ModelId=4178D40101CD
    bool getNextRow();

    // get a reference to the current loan record
    //##ModelId=4178D44F0298
    CLoanDA& getLoan();

    // get a reference to the customer record associated to the current loan
    // record
    //##ModelId=4178D4F301F6
    CCustomerDA& getCustomer();

    // update current record
    //##ModelId=4178D557033B
    bool updateRecord();

    // delete ciurrent record
    //##ModelId=4178D5700265
    bool deleteRecord();

private:
	// current loan record
	//##ModelId=4178D71F03C8
    CLoanDA curLoan;

	// current customer record
	//##ModelId=4178D71F03E6
    CCustomerDA curCustomer;

};



#endif /* CLOANDATASET_H_HEADER_INCLUDED_BE8758C3 */
